Command line options
Précédent |  | Suivant

## Command line options

### Option Summary

Here is a summary of all the options, grouped by type. Explanations are in the following sections.

Préférences générales

  `-h`, `--help` ; `-V`, `--version` ; `--disable-server` ; `--default-display=`écran`` ; `--default-working-directory=`répertoire``

Window or Tab Separators

  `--tab` ; `--window`

Tab Options

  `-x`, `--execute` ; `-e`, `--command=`command`` ; `--working-directory=`répertoire`` ; `-T`, `--title=`title`` ; `-H`, `--hold`

Window Options

  `--display=`écran`` ; `--geometry=`géométrie`` ; `--role=`rôle`` ; `--startup-id=`string`` ; `-I, --icon=`icon`` ; `--fullscreen` ; `--maximize` ; `--show-menubar` , `--hide-menubar` ; `--show-borders` , `--hide-borders` ; `--show-toolbars` , `--hide-toolbars`

### Préférences générales

`-h`, `--help`

  Affiche les différentes options pour la ligne de commande supportées par Terminal et quitte

`-V`, `--version`

  Affiche la version et quitte

`--disable-server`

  Ne pas utiliser le service D-BUS

`--default-display=`écran``

  Default X display to use.

`--default-working-directory=`répertoire``

  Set `directory` as the default working directory for the terminal

### Window or Tab Separators

`--tab`

  Open a new tab in the last-specified window; more than one of these options can be provided.

`--window`

  Open a new window containing one tab; more than one of these options can be provided.

### Tab Options

`-x`, `--execute`

  Exécute le reste de la ligne de commande dans le terminal

`-e`, `--command=`command``

  Exécute `commande` dans le terminal

`--working-directory=`répertoire``

  Détermine le `répertoire` de travail du terminal

`-T`, `--title=`title``

  Définit le `titre` du terminal

`-H`, `--hold`

  Ne ferme pas le terminal lorsque la commande exécutée se termine

### Window Options

`--display=`écran``

  X display to use for the last- specified window.

`--geometry=`géométrie``

  Sets the geometry of the last-specified window to `geometry`. Read X(7) for more information on how to specify window geometries.

`--role=`rôle``

  Sets the window role of the last-specified window to `role`. Applies to only one window and can be specified once for each window you create from the command line. It is mostly used for session management inside Terminal

`--startup-id=`string``

  Spécifie l'ID de notification de démarrage pour la dernière fenêtre. Est utilisé en interne lorsque le service D-BUS est utilisé, pour faire suivre l'ID de notification de démarrage.

`-I, --icon=`icon``

  Set the terminal's icon as an icon name or filename.

`--fullscreen`

  Passe la dernière fenêtre en mode plein écran. S'applique uniquement à une fenêtre et peut être appliquée à chaque fenêtre que vous créez depuis la ligne de commande.

`--maximize`

  Passe la dernière fenêtre spécifiée en mode maximisé. S'applique uniquement à une fenêtre et peut être appliquée à chaque fenêtre que vous créez depuis la ligne de commande.

`--show-menubar`

  Affiche la barre de menu pour la dernière fenêtre. Peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--hide-menubar`

  Ne pas afficher la barre de menu pour la dernière fenêtre. Peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--show-borders`

  Affiche la décoration de la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--hide-borders`

  Cache la décoration de la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--show-toolbars`

  Affiche la barre d'outils pour la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

`--hide-toolbars`

  Cache la barre d'outils pour la dernière fenêtre. S'applique seulement à une fenêtre et peut être spécifiée pour chaque fenêtre créée depuis la ligne de commande.

Précédent |  | Suivant
Préférences | Sommaire | Configuration avancée